import { Kuzzle } from "../Kuzzle";
import { JSONObject } from "../types";
export declare class BaseController {
    private _name;
    private _kuzzle;
    /**
     * @param {Kuzzle} kuzzle - Kuzzle SDK object.
     * @param {string} name - Controller full name for API request.
     */
    constructor(kuzzle: any, name: string);
    protected get kuzzle(): Kuzzle;
    /**
     * Controller name
     */
    get name(): string;
    /**
     * Sends a query to Kuzzle.
     * If not set, the "controller" property of the request will be the controller name.
     *
     * @param request
     * @param options
     */
    query(request: any, options?: any): Promise<JSONObject>;
}
