"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProfileSearchResult = void 0;
const Profile_1 = require("../security/Profile");
const SearchResultBase_1 = require("./SearchResultBase");
class ProfileSearchResult extends SearchResultBase_1.SearchResultBase {
    constructor(kuzzle, request, options, result) {
        super(kuzzle, request, options, result);
        this._searchAction = "searchProfiles";
        this._scrollAction = "scrollProfiles";
        this.hits = result.hits.map((hit) => new Profile_1.Profile(this._kuzzle, hit._id, hit._source));
    }
    next() {
        return super.next().then((nextSearchResult) => {
            if (!nextSearchResult) {
                return null;
            }
            nextSearchResult.hits = nextSearchResult._result.hits.map((hit) => new Profile_1.Profile(nextSearchResult._kuzzle, hit._id, hit._source));
            return nextSearchResult;
        });
    }
}
exports.ProfileSearchResult = ProfileSearchResult;
//# sourceMappingURL=Profile.js.map