import { JSONObject, KDocumentContentGeneric, KHit } from "../../types";
import { Observer } from "../Observer";
import { Kuzzle } from "../../Kuzzle";
import { RequestPayload } from "../../types/RequestPayload";
import { SearchResultBase } from "./SearchResultBase";
/**
 * Represents a SearchResult containing realtime documents.
 */
export declare class RealtimeDocumentSearchResult<TKDocumentContent extends KDocumentContentGeneric> extends SearchResultBase<KHit<TKDocumentContent>> {
    private observer;
    constructor(kuzzle: Kuzzle, request: RequestPayload, options: JSONObject, result: JSONObject, observer: Observer);
    /**
     * Start observing documents.
     *
     * This method is called automatically.
     *
     * @internal
     */
    start(): Promise<this>;
    next(): Promise<this>;
    protected _buildNextSearchResult(result: JSONObject): Promise<RealtimeDocumentSearchResult<TKDocumentContent>>;
}
