"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserSearchResult = void 0;
const SearchResultBase_1 = require("./SearchResultBase");
const User_1 = require("../security/User");
class UserSearchResult extends SearchResultBase_1.SearchResultBase {
    constructor(kuzzle, query, options, result) {
        super(kuzzle, query, options, result);
        this._searchAction = "searchUsers";
        this._scrollAction = "scrollUsers";
        this.hits = this._result.hits.map((hit) => new User_1.User(this._kuzzle, hit._id, hit._source));
    }
    next() {
        return super.next().then((nextSearchResult) => {
            if (!nextSearchResult) {
                return null;
            }
            nextSearchResult.hits = nextSearchResult._result.hits.map((hit) => new User_1.User(nextSearchResult._kuzzle, hit._id, hit._source));
            return nextSearchResult;
        });
    }
}
exports.UserSearchResult = UserSearchResult;
//# sourceMappingURL=User.js.map