import { Role } from "./Role";
import { JSONObject, ProfilePolicy } from "../../types";
import { Kuzzle } from "../../Kuzzle";
export declare class Profile {
    private _kuzzle;
    /**
     * Profile unique ID
     */
    _id: string;
    /**
     * Maximum number of requests per second and per node with this profile
     */
    rateLimit: number;
    /**
     * Array of policies
     */
    policies: Array<ProfilePolicy>;
    [property: string]: any;
    /**
     *
     * @param {Kuzzle} kuzzle
     * @param {Object} data
     */
    constructor(kuzzle: Kuzzle, _id?: string, content?: JSONObject);
    protected get kuzzle(): Kuzzle;
    /**
     * Gets the associated roles definitions from the API.
     */
    getRoles(options?: {}): Promise<Array<Role>>;
    /**
     * Serialize the instance
     */
    serialize(): JSONObject;
}
