import { JSONObject } from "../../types";
import { Profile } from "./Profile";
export declare class User {
    /**
     * Kuid (Kuzzle unique ID)
     */
    _id: string;
    /**
     * User content
     */
    _source: JSONObject;
    /**
     * User content
     *
     * @deprecated Use User._source instead
     */
    content: JSONObject;
    private _kuzzle;
    /**
     *
     * @param {Kuzzle} kuzzle
     * @param {Object} data
     */
    constructor(kuzzle: any, _id?: any, content?: {});
    private get kuzzle();
    /**
     * Array of profile IDs
     */
    get profileIds(): Array<string>;
    /**
     * Gets user profile definitions from the API
     */
    getProfiles(): Promise<Array<Profile>>;
    /**
     * Serialize the instance
     */
    serialize(): JSONObject;
}
